import QtQuick 1.1
import qb.components 1.0
import BasicUIControls 1.0
import GraphUtils 1.0;

Screen {

	id: temperatureLoggerScreen

	screenTitle: "Temperatuurlog afgelopen 24 uur";

	Rectangle {
		id: graphRect

		anchors {
			horizontalCenter: parent.horizontalCenter
			bottom: parent.bottom
		}

		color: colors.graphScreenBackground
		height: 350
		width: 768
		
		Rectangle {
			id: legendTemp
			height: 20
			width: 100
			anchors {
				baseline: graphRect.top
				baselineOffset: -60
				left: graphRect.left
				leftMargin: 110
			}
			color: "#0000FF"
			opacity: 0.5
		}
		Text {
			id: legendTempText
			text: "actuele temperatuur"
			anchors {
				baseline: graphRect.top
				baselineOffset: -45
				left: legendTemp.right
				leftMargin: 10
			}
			font {
				family: qfont.bold.name
				pixelSize: 15
			}
			color: colors.clockTileColor

		}

		
		Rectangle {
			id: legendSetpoint
			height: 20
			width: 100
			anchors {
				baseline: graphRect.top
				baselineOffset: -60
				left: graphRect.left
				leftMargin: 410
			}
			color: "#FF0000"
			opacity: 0.5
		}

		Text {
			id: legendSetpointText
			text: "programma temperatuur"
			anchors {
				baseline: graphRect.top
				baselineOffset: -45
				left: legendSetpoint.right
				leftMargin: 10
			}
			font {
				family: qfont.bold.name
				pixelSize: 15
			}
			color: colors.clockTileColor

		}



		AreaGraphMod {
			id: areaGraph

			width: graphRect.width
			height: graphRect.height
			visible: true
			anchors {
				top: graphRect.top
				left: graphRect.left
			}

			graphColor: "#0000FF"

			graph2Color: "#FF0000"

			graphValues: app.arycurrentTemp
			graph2Values: app.arycurrentSetpoint

			graph1Visible: true
			graph2Visible: true
			maxValue: 14		// 14 + 12 (offset) = max value is 26
		}

		Rectangle {
			id: nowverticalline
			height: graphRect.height - 30
			width: 1
			anchors {
				baseline: graphRect.top
				left: graphRect.left
				leftMargin: app.nowlinexcoordinate
			}
			color: colors.clockTileColor
		}
		Text {
			id: nowleftlabelid
			text: app.nowleftlabel
			anchors {
				baseline: nowverticalline.top
				baselineOffset: -5
				right: nowverticalline.left
				rightMargin: 5
			}
			font {
				family: qfont.bold.name
				pixelSize: 15
			}
			color: colors.clockTileColor

		}

		Image {
			id: leftarrow
			source: "///HCBv2/qml/qb/components/drawables/icon_arrowLeft_shadow.png"
			anchors {
				baseline: nowverticalline.top
				baselineOffset: -30
				right: nowleftlabelid.left
				rightMargin: 0
			}
		}

		Text {
			id: nowrightlabelid
			text: app.nowrightlabel
			anchors {
				baseline: nowverticalline.top
				baselineOffset: -5
				left: nowverticalline.right
				leftMargin: 5
			}
			font {
				family: qfont.bold.name
				pixelSize: 15
			}
			color: colors.clockTileColor

		}

		Image {
			id: rightarrow
			source: "///HCBv2/qml/qb/components/drawables/icon_arrowRight_shadow.png"
			anchors {
				baseline: nowverticalline.top
				baselineOffset: -30
				left: nowrightlabelid.right
				leftMargin: 0
			}
		}
	}
}
